Chrome 30-38 and Firefox 32-34 now see a browser warning

If you're using Chrome 30-38 or Firefox 32-34, you'll now see a banner warning you that your browser needs to be updated. We'll be making some changes in the next few weeks that will break some features for these browsers. If you see one of these warnings, please update your browser.

Using an up to date browser is important for the security of your data and to get the best Cliniko experience.

Have more questions? Submit a request

Comments

Powered by Zendesk